Share via


Event - fetch Details By Tenant Id And Tracking Id

Service health event details in the tenant by event tracking id. This can be used to fetch sensitive properties for Security Advisory events. Please see https://dotnet.territoriali.olinfo.it/en-us/azure/service-health/security-advisories-elevated-access

POST https://management.azure.com/providers/Microsoft.ResourceHealth/events/{eventTrackingId}/fetchEventDetails?api-version=2025-05-01

URI Parameters

Name In Required Type Description
eventTrackingId
path True

string

Event Id which uniquely identifies ServiceHealth event.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

event

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

EventDetailsByTenantIdAndTrackingId

Sample request

POST https://management.azure.com/providers/Microsoft.ResourceHealth/events/eventTrackingId/fetchEventDetails?api-version=2025-05-01

Sample response

{
  "name": "{eventTrackingId}",
  "type": "/providers/Microsoft.ResourceHealth/events",
  "id": "/providers/Microsoft.ResourceHealth/events/{eventTrackingId}",
  "properties": {
    "article": {
      "articleContent": "<html>An outage alert is being investigated. More information will be provided as it is known</html>"
    },
    "enableChatWithUs": false,
    "enableMicrosoftSupport": true,
    "eventLevel": "Informational",
    "eventSource": "ResourceHealth",
    "eventType": "ServiceIssue",
    "faqs": [
      {
        "answer": "This is an answer",
        "localeCode": "en",
        "question": "This is a question"
      }
    ],
    "header": "Your service might have been impacted by an Azure service issue",
    "hirStage": "resolved",
    "impact": [
      {
        "impactedRegions": [
          {
            "impactedRegion": "West US",
            "impactedSubscriptions": [],
            "impactedTenants": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "lastUpdateTime": "2017-12-05T21:05:00Z",
            "status": "Active"
          }
        ],
        "impactedService": "Virtual Machines",
        "impactedServiceGuid": "fd8065f5-ffd0-4756-8788-e6a11bf36257"
      }
    ],
    "impactMitigationTime": "2018-11-08T00:00:00Z",
    "impactStartTime": "2018-11-07T00:00:00Z",
    "isHIR": false,
    "lastUpdateTime": "2018-11-08T00:00:00Z",
    "level": "Warning",
    "links": [
      {
        "type": "Hyperlink",
        "bladeName": "RequestRCABlade",
        "displayText": {
          "localizedValue": "Request RCA",
          "value": "Request RCA"
        },
        "extensionName": "Microsoft_Azure_Health",
        "parameters": {
          "rcaRequested": "False",
          "trackingId": "{eventTrackingId}"
        }
      },
      {
        "type": "Button",
        "bladeName": "AzureHealthBrowseBlade",
        "displayText": {
          "localizedValue": "Sign up for updates",
          "value": "Sign up for updates"
        },
        "extensionName": "Microsoft_Azure_Health",
        "parameters": {
          "trackingId": "{eventTrackingId}"
        }
      }
    ],
    "priority": 2,
    "recommendedActions": {
      "actions": [
        {
          "actionText": "action 1",
          "groupId": 23243
        },
        {
          "actionText": "action 2",
          "groupId": 23432
        }
      ],
      "localeCode": "en",
      "message": "Recommended actions title"
    },
    "status": "Active",
    "summary": "An outage alert is being investigated. More information will be provided as it is known.",
    "title": "ACTIVE: Virtual machines in West US"
  }
}

Definitions

Name Description
ErrorResponse

Error details.

event

Service health event

EventLevelValues

Level of event.

EventPropertiesAdditionalInformation

Additional information

EventPropertiesArticle

Article of event.

EventPropertiesRecommendedActions

Recommended actions of event.

EventPropertiesRecommendedActionsActionsItem

Recommended action for the service health event.

EventSourceValues

Source of event.

EventStatusValues

Current status of event.

EventSubTypeValues

Sub-type of event.

EventTypeValues

Type of event.

faq

Frequently asked question for the service health event

impact

Azure service impacted by the service health event.

impactedServiceRegion

Azure region impacted by the service health event.

LevelValues

Level of insight.

link

Useful links for service health event.

LinkDisplayText

Display text of link.

LinkTypeValues

Type of link.

update

Update for service health event.

ErrorResponse

Error details.

Name Type Description
code

string

The error code.

details

string

The error details.

message

string

The error message.

event

Service health event

Name Type Description
id

string (arm-id)

Azure Resource Manager Identity for the availabilityStatuses resource.

location

string

Azure Resource Manager geo location of the resource.

name

string

properties.additionalInformation

EventPropertiesAdditionalInformation

Additional information

properties.article

EventPropertiesArticle

Article of event.

properties.billingId

string

Billing identifier information.

properties.currencyType

string

Billing currency type information. Example: USD, CAD

properties.description

string

Contains the communication message for the event, that could include summary, root cause and other details. Use fetchEventDetails endpoint to get description of sensitive events.

properties.duration

integer (int32)

duration in seconds

properties.enableChatWithUs

boolean

Tells if we want to enable or disable Microsoft Support for this event.

properties.enableMicrosoftSupport

boolean

Tells if we want to enable or disable Microsoft Support for this event.

properties.eventLevel

EventLevelValues

Level of event.

properties.eventSource

EventSourceValues

Source of event.

properties.eventSubType

EventSubTypeValues

Sub-type of event.

properties.eventTags

string[]

A list of metadata tags associated with the event. Possible values include: -Action Recommended: Action may be required by you to avoid possible disruptions or mitigate risks for your services. It is recommended to evaluate these actions and the potential impact on your services.

  • False Positive: After investigation, we've determined your service is healthy and service issues did not impact your services as originally communicated.
  • Preliminary PIR: For our largest, most impactful service issues a Preliminary Post Incident Review (PIR) is published generally within 72 hours of mitigation, to summarize what we have learned so far from the still-in-progress investigation.
  • Final PIR: For service issues, a Final Post Incident Review (PIR) may be published to provide additional details or learnings. Sometimes this requires us to complete an internal retrospective, generally within 14 days of mitigation.
properties.eventType

EventTypeValues

Type of event.

properties.externalIncidentId

string

The id of the Incident

properties.faqs

faq[]

Frequently asked questions for the service health event.

properties.header

string

Header text of event.

properties.hirStage

string

Stage for HIR Document

properties.impact

impact[]

List services impacted by the service health event.

properties.impactMitigationTime

string (date-time)

It provides the Timestamp for when the health impacting event resolved.

properties.impactStartTime

string (date-time)

It provides the Timestamp for when the health impacting event started.

properties.impactType

string

The type of the impact

properties.isEventSensitive

boolean

If true the event may contains sensitive data. Use the post events/{trackingId}/fetchEventDetails endpoint to fetch sensitive data see https://dotnet.territoriali.olinfo.it/en-us/azure/service-health/security-advisories-elevated-access

properties.isHIR

boolean

It provides information if the event is High incident rate event or not.

properties.lastUpdateTime

string (date-time)

It provides the Timestamp for when the health impacting event was last updated.

properties.level

LevelValues

Level of insight.

properties.links

link[]

Useful links of event.

properties.newRate

number (double)

Billing rate change information - new rate

properties.oldRate

number (double)

Billing rate change information - old rate

properties.platformInitiated

boolean

Is true if the event is platform initiated.

properties.priority

integer (int32)

Priority level of the event. Has value from 0 to 23. 0 is the highest priority. Service issue events have higher priority followed by planned maintenance and health advisory. Critical events have higher priority followed by error, warning and informational. Furthermore, active events have higher priority than resolved.

properties.reason

string

The reason for the Incident

properties.recommendedActions

EventPropertiesRecommendedActions

Recommended actions of event.

properties.status

EventStatusValues

Current status of event.

properties.summary

string

Summary text of event. Use fetchEventDetails endpoint to get summary of sensitive events.

properties.title

string

Title text of event.

type

string

Microsoft.ResourceHealth/AvailabilityStatuses.

EventLevelValues

Level of event.

Value Description
Critical

Critical

Error

Error

Warning

Warning

Informational

Informational

EventPropertiesAdditionalInformation

Additional information

Name Type Description
message

string

Additional information Message

EventPropertiesArticle

Article of event.

Name Type Description
articleContent

string

Article content of event.

articleId

string

Article Id

parameters

It provides a map of parameter name and value

EventPropertiesRecommendedActions

Recommended actions of event.

Name Type Description
actions

EventPropertiesRecommendedActionsActionsItem[]

Recommended actions for the service health event.

localeCode

string

Recommended action locale for the service health event.

message

string

Recommended action title for the service health event.

EventPropertiesRecommendedActionsActionsItem

Recommended action for the service health event.

Name Type Description
actionText

string

Recommended action text

groupId

integer (int32)

Recommended action group Id for the service health event.

EventSourceValues

Source of event.

Value Description
ResourceHealth

ResourceHealth

ServiceHealth

ServiceHealth

EventStatusValues

Current status of event.

Value Description
Active

Active

Resolved

Resolved

EventSubTypeValues

Sub-type of event.

Value Description
Retirement

Retirement

ForeignExchangeRateChange

ForeignExchangeRateChange

Underbilling

Underbilling

Overbilling

Overbilling

PriceChanges

PriceChanges

TaxChanges

TaxChanges

MeterIDChanges

MeterIDChanges

UnauthorizedPartyAbuse

UnauthorizedPartyAbuse

EventTypeValues

Type of event.

Value Description
ServiceIssue

ServiceIssue

PlannedMaintenance

PlannedMaintenance

HealthAdvisory

HealthAdvisory

RCA

RCA

EmergingIssues

EmergingIssues

SecurityAdvisory

SecurityAdvisory

Billing

Billing

faq

Frequently asked question for the service health event

Name Type Description
answer

string

FAQ answer for the service health event.

localeCode

string

FAQ locale for the service health event.

question

string

FAQ question for the service health event.

impact

Azure service impacted by the service health event.

Name Type Description
impactedRegions

impactedServiceRegion[]

List regions impacted by the service health event.

impactedService

string

Impacted service name.

impactedServiceGuid

string

Impacted service guid. This is the permanent identifier for the impacted service.

impactedServiceRegion

Azure region impacted by the service health event.

Name Type Description
impactedRegion

string

Impacted region name.

impactedSubscriptions

string[]

List subscription impacted by the service health event.

impactedTenants

string[]

List tenant impacted by the service health event.

lastUpdateTime

string (date-time)

It provides the Timestamp for when the last update for the service health event.

status

EventStatusValues

Current status of event in the region.

updates

update[]

List of updates for given service health event. Use fetchEventDetails endpoint to get updates of sensitive events.

LevelValues

Level of insight.

Value Description
Critical

Critical

Warning

Warning

Useful links for service health event.

Name Type Description
bladeName

string

It provides the name of portal extension blade to produce link for given service health event.

displayText

LinkDisplayText

Display text of link.

extensionName

string

It provides the name of portal extension to produce link for given service health event.

parameters

It provides a map of parameter name and value for portal extension blade to produce lik for given service health event.

type

LinkTypeValues

Type of link.

LinkDisplayText

Display text of link.

Name Type Description
localizedValue

string

Localized display text of link.

value

string

Display text of link.

LinkTypeValues

Type of link.

Value Description
Button

Button

Hyperlink

Hyperlink

update

Update for service health event.

Name Type Description
eventTags

string[]

A list of metadata tags associated with the event. Possible values include: -Action Recommended: Action may be required by you to avoid possible disruptions or mitigate risks for your services. It is recommended to evaluate these actions and the potential impact on your services.

  • False Positive: After investigation, we've determined your service is healthy and service issues did not impact your services as originally communicated.
  • Preliminary PIR: For our largest, most impactful service issues a Preliminary Post Incident Review (PIR) is published generally within 72 hours of mitigation, to summarize what we have learned so far from the still-in-progress investigation.
  • Final PIR: For service issues, a Final Post Incident Review (PIR) may be published to provide additional details or learnings. Sometimes this requires us to complete an internal retrospective, generally within 14 days of mitigation.
summary

string

Summary text for the given update for the service health event.

updateDateTime

string (date-time)

It provides the Timestamp for the given update for the service health event.